OnDeleteAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum OnDeleteAction

    java.lang.Object
      java.lang.Enum<OnDeleteAction>
          org.hibernate.annotations.OnDeleteAction

All Implemented Interfaces:
  Serializable, Comparable<OnDeleteAction>

    public enum OnDeleteAction

extends Enum<OnDeleteAction>

Possible actions on deletes

Enum Constant Summary
`CASCADE` use cascade delete capabilities of the DD
`NO_ACTION` the default

Method Summary
`static OnDeleteAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OnDeleteAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_ACTION

    public static final OnDeleteAction NO_ACTION

  the default

### CASCADE

    public static final OnDeleteAction CASCADE

  use cascade delete capabilities of the DD

Method Detail

### values

    public static OnDeleteAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OnDeleteAction c : OnDeleteAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OnDeleteAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.